Skip to content

Wi-Fi Calling Traffic ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportBatchFullChannelDetectResultDataGETExport wi-fi calling traffic summary
getGridWifiCallingTrafficResultGETGet Wi-Fi Calling Summary

exportBatchFullChannelDetectResultData ​

GET /openapi/v1/{omadacId}/files/sites/{siteId}/wifi-calling/summary/{format}

Export wi-fi calling traffic summary

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
formatpathstringyesexport data format
timeStartqueryintegeryesFilter query parameters, support field time range: start timestamp (second).
timeEndqueryintegeryesFilter query parameters, support field time range: end timestamp (second).
searchKeyquerystringnoFuzzy query parameters, support field clientName,clientMac,ip,ssid,domain
json
// omada_call_operation
{
  "operationId": "exportBatchFullChannelDetectResultData",
  "params": {
    "siteId": "<siteId>",
    "format": "<format>",
    "timeStart": "<timeStart>",
    "timeEnd": "<timeEnd>"
  }
}
Details, permissions and error codes

Export wi-fi calling traffic summary.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridWifiCallingTrafficResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling/grid/summary

Get Wi-Fi Calling Summary

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
topKqueryintegernoGet the top-k SSIDs or EPDGs based on voice call traffic statistics. Parameter [topK] should not be null when parameter [queryTopEPDG] or parameter [queryTopEPDG] is true.
queryTopSsidquerybooleanyesWhether to query top k ssids by traffic.
queryTopEPDGquerybooleanyesWhether to query top k ePDGs by traffic.
queryClientsquerybooleanyesWhether to query client history.
queryClientsByMacquerybooleanyesWhether to query client history by client MAC.
pagequeryintegerno(default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.apNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.carrierNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.wifiCallingProfileNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.clientNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.domainquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.trafficDownquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.trafficUpquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.totalTrafficquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.clientMacquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.priorityquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ssidquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.startTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.endTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.timeStartqueryintegeryesFilter query parameters, support field time range: start timestamp (second).
filters.timeEndqueryintegeryesFilter query parameters, support field time range: end timestamp (second).
searchKeyquerystringnoFuzzy query parameters, support field clientName,clientMac,ip,ssid,domain
json
// omada_call_operation
{
  "operationId": "getGridWifiCallingTrafficResult",
  "params": {
    "siteId": "<siteId>",
    "queryTopSsid": "<queryTopSsid>",
    "queryTopEPDG": "<queryTopEPDG>",
    "queryClients": "<queryClients>",
    "queryClientsByMac": "<queryClientsByMac>",
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get Wi-Fi Calling Summary.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.